> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# API Server Status

> To check the API server status

<Tip>
  You can also check [status.coingecko.com](https://status.coingecko.com/) for real-time API server status and maintenance notices.
</Tip>

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.ping.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.ping.get()

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /ping
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /ping:
    get:
      summary: API Server Status
      description: To check the API server status
      operationId: ping-server
      responses:
        '200':
          description: Server status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PingServer'
              example:
                gecko_says: (V3) To the Moon!
components:
  schemas:
    PingServer:
      type: object
      required:
        - gecko_says
      properties:
        gecko_says:
          type: string
          description: API server status message
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````